POST api/AsLReceiptNumber/generate
Request Information
URI Parameters
None.
Body Parameters
lnRReceiptInput| Name | Description | Type | Additional information |
|---|---|---|---|
| html | string |
None. |
|
| applicationNumber | string |
None. |
|
| receiptAmount | decimal number |
None. |
|
| gstReceipt | boolean |
None. |
|
| createdAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"html": "sample string 1",
"applicationNumber": "sample string 2",
"receiptAmount": 3.0,
"gstReceipt": true,
"createdAt": "2026-08-05T16:24:40.5260808+05:30"
}
text/html
Sample:
{"html":"sample string 1","applicationNumber":"sample string 2","receiptAmount":3.0,"gstReceipt":true,"createdAt":"2026-08-05T16:24:40.5260808+05:30"}
application/xml, text/xml
Sample:
<lnRReceiptInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Models"> <applicationNumber>sample string 2</applicationNumber> <createdAt>2026-08-05T16:24:40.5260808+05:30</createdAt> <gstReceipt>true</gstReceipt> <html>sample string 1</html> <receiptAmount>3</receiptAmount> </lnRReceiptInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
text/comma-separated-values
Sample:
Sample not available.
Response Information
Resource Description
lnReceiptNumberOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| ReceiptNumber | string |
None. |
|
| CreatedAt | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"ReceiptNumber": "sample string 1",
"CreatedAt": "sample string 2"
}
text/html
Sample:
{"ReceiptNumber":"sample string 1","CreatedAt":"sample string 2"}
application/xml, text/xml
Sample:
<lnReceiptNumberOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Models"> <CreatedAt>sample string 2</CreatedAt> <ReceiptNumber>sample string 1</ReceiptNumber> </lnReceiptNumberOutput>
text/comma-separated-values
Sample:
Sample not available.